Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mycompiler.myclass
Class Method

    java.lang.Object
      mycompiler.myclass.FieldDecl
          mycompiler.myclass.Method

All Implemented Interfaces:
  ITypeReplacementListener

Direct Known Subclasses:
  Constructor

    public class Method

extends FieldDecl
implements ITypeReplacementListener

Field Summary
`protected ParameterList` | `parameterlist`

Fields inherited from class mycompiler.myclass.FieldDecl
`declid`

Constructor Summary
`Method()`

Method Summary
`void` | `call_sc_check(de.dhbwstuttgart.typeinference.Menge classlist, java.util.Hashtable classhash, boolean ext, java.util.Hashtable parach)`
`void` | `codegen(ClassFile classfile, de.dhbwstuttgart.typeinference.Menge paralist)`
`Block` | `get_Block()`
`java.lang.String` | `get_codegen_Param_Type(de.dhbwstuttgart.typeinference.Menge paralist)`
`ExceptionList` | `get_ExceptionList()`
`java.lang.String` | `get_Method_Name()`
`de.dhbwstuttgart.typeinference.Menge` | `get_Type_Paralist()`
`int` | `getLineNumber()`
`int` | `getParameterCount()` Author: J�rg B�uerle
`ParameterList` | `getParameterList()`
`Type` | `getReturnType()`
`int` | `getTypeLineNumber()` Author: J�rg B�uerle
`java.lang.String` | `getTypeName()`
`void` | `replaceType(CReplaceTypeEvent e)` Author: J�rg B�uerle
`void` | `sc_init_parameterlist(boolean ext)`
`void` | `set_Block(Block blo)`
`void` | `set_ExceptionList(ExceptionList exlist)`
`void` | `set_Modifiers(Modifiers modif)`
`void` | `setLineNumber(int lineNumber)`
`void` | `setParameterList(ParameterList paralist)`
`void` | `setReturnType(Type type)` Author: J�rg B�uerle

Methods inherited from class mycompiler.myclass.FieldDecl
`get_Name, getDeclIdMenge, set_DeclId, setDeclIdMenge`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parameterlist

    protected ParameterList parameterlist

Constructor Detail

### Method

    public Method()

Method Detail

### call_sc_check

    public void call_sc_check(de.dhbwstuttgart.typeinference.Menge classlist,
                              java.util.Hashtable classhash,
                              boolean ext,
                              java.util.Hashtable parach)
                       throws SCMethodException

  Throws:
    `SCMethodException`

### sc_init_parameterlist

    public void sc_init_parameterlist(boolean ext)

### getTypeName

    public java.lang.String getTypeName()

  Specified by:
    `getTypeName` in class `FieldDecl`

### get_Block

    public Block get_Block()

### setReturnType

    public void setReturnType(Type type)

  Author: J�rg B�uerle

  Parameters:
    `type` -

### set_Block

    public void set_Block(Block blo)

### set_Modifiers

    public void set_Modifiers(Modifiers modif)

### set_ExceptionList

    public void set_ExceptionList(ExceptionList exlist)

### setParameterList

    public void setParameterList(ParameterList paralist)

### getParameterList

    public ParameterList getParameterList()

### getParameterCount

    public int getParameterCount()

  Author: J�rg B�uerle

  Returns:
    Die Anzahl der Methoden-Paramater

### get_ExceptionList

    public ExceptionList get_ExceptionList()

### getReturnType

    public Type getReturnType()

### get_codegen_Param_Type

    public java.lang.String get_codegen_Param_Type(de.dhbwstuttgart.typeinference.Menge paralist)

### get_Method_Name

    public java.lang.String get_Method_Name()

### get_Type_Paralist

    public de.dhbwstuttgart.typeinference.Menge get_Type_Paralist()

### codegen

    public void codegen(ClassFile classfile,
                        de.dhbwstuttgart.typeinference.Menge paralist)
                 throws JVMCodeException

  Specified by:
    `codegen` in class `FieldDecl`
  Throws:
    `JVMCodeException`

### getLineNumber

    public int getLineNumber()

### setLineNumber

    public void setLineNumber(int lineNumber)

### replaceType

    public void replaceType(CReplaceTypeEvent e)

  Author: J�rg B�uerle

  Specified by:
    `replaceType` in interface `ITypeReplacementListener`
  Parameters:
    `e` -

### getTypeLineNumber

    public int getTypeLineNumber()

  Author: J�rg B�uerle

  Specified by:
    `getTypeLineNumber` in interface `ITypeReplacementListener`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD